# Draw
TKDCAF
DDF

# DDF_Transaction Class Reference

This class encapsulates TDF_Transaction.
.

`#include <DDF_Transaction.hxx>`

## Public Member Functions

Standard_EXPORT | DDF_Transaction ()
| Creates an empty transaction context, unable to be opened. .
Standard_EXPORT | DDF_Transaction (const Handle(TDF_Data)&aDF)
| Creates a transaction context on <adf>, ready to be opened. .
Standard_EXPORT Standard_Integer | Open ()
| If not yet done, opens a new transaction on <mydf>. Returns the index of the just opened transaction. It raises DomainError if the transaction is already open, and NullObject if there is no current Data framework. .
Standard_EXPORT Handle_TDF_Delta | Commit (const Standard_Boolean withDelta=Standard_False)
| Commits the transactions until AND including the current opened one. .
Standard_EXPORT void | Abort ()
| Aborts the transactions until AND including the current opened one. .
| ~DDF_Transaction ()
Standard_EXPORT Handle_TDF_Data | Data () const
| Returns the Data from TDF. .
Standard_EXPORT Standard_Integer | Transaction () const
| Returns the number of the transaction opened by <me>. .
Standard_EXPORT Standard_Boolean | IsOpen () const
| Returns true if the transaction is open. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TDF_Transaction | myTransaction

## Constructor & Destructor Documentation

Standard_EXPORT DDF_Transaction::DDF_Transaction | ( |  | ) |

Standard_EXPORT DDF_Transaction::DDF_Transaction | ( | const Handle(TDF_Data)& | aDF | ) |

DDF_Transaction::~DDF_Transaction | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void DDF_Transaction::Abort | ( |  | ) |

Standard_EXPORT Handle_TDF_Delta DDF_Transaction::Commit | ( | const Standard_Boolean | withDelta = `Standard_False` | ) |

Standard_EXPORT Handle_TDF_Data DDF_Transaction::Data | ( |  | ) | const

Standard_EXPORT const DDF_Transaction::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean DDF_Transaction::IsOpen | ( |  | ) | const

Standard_EXPORT Standard_Integer DDF_Transaction::Open | ( |  | ) |

Standard_EXPORT Standard_Integer DDF_Transaction::Transaction | ( |  | ) | const

## Field Documentation

TDF_Transaction DDF_Transaction::myTransaction `[private]`

The documentation for this class was generated from the following file:

- DDF_Transaction.hxx